PLplot: plgridd.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Typedefs | Functions | Variables
plgridd.c File Reference
`#include "plplotP.h"`
`#include "../lib/csa/nan.h"`

Go to the source code of this file.

## Classes
struct | pt

## Macros
#define | KNN_MAX_ORDER 100

## Typedefs
typedef struct pt | PT

## Functions
static void | grid_nnaidw (const PLFLT *x, const PLFLT *y, const PLFLT *z, int npts, const PLFLT *xg, int nptsx, const PLFLT *yg, int nptsy, PLF2OPS zops, PLPointer zgp)
static void | grid_nnli (const PLFLT *x, const PLFLT *y, const PLFLT *z, int npts, const PLFLT *xg, int nptsx, const PLFLT *yg, int nptsy, PLF2OPS zops, PLPointer zgp, PLFLT threshold)
static void | grid_nnidw (const PLFLT *x, const PLFLT *y, const PLFLT *z, int npts, const PLFLT *xg, int nptsx, const PLFLT *yg, int nptsy, PLF2OPS zops, PLPointer zgp, int knn_order)
static void | dist1 (PLFLT gx, PLFLT gy, const PLFLT *x, const PLFLT *y, int npts, int knn_order)
static void | dist2 (PLFLT gx, PLFLT gy, const PLFLT *x, const PLFLT *y, int npts)
void | c_plgriddata (const PLFLT *x, const PLFLT *y, const PLFLT *z, PLINT npts, const PLFLT *xg, PLINT nptsx, const PLFLT *yg, PLINT nptsy, PLFLT **zg, PLINT type, PLFLT data)
void | plfgriddata (const PLFLT *x, const PLFLT *y, const PLFLT *z, PLINT npts, const PLFLT *xg, PLINT nptsx, const PLFLT *yg, PLINT nptsy, PLF2OPS zops, PLPointer zgp, PLINT type, PLFLT data)

## Variables
static PT | items [KNN_MAX_ORDER]

## Macro Definition Documentation

#define KNN_MAX_ORDER 100

Definition at line 78 of file plgridd.c.

## Typedef Documentation

typedef struct pt PT

## Function Documentation

void c_plgriddata | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | PLINT | npts,
|  | const PLFLT * | xg,
|  | PLINT | nptsx,
|  | const PLFLT * | yg,
|  | PLINT | nptsy,
|  | PLFLT ** | zg,
|  | PLINT | type,
|  | PLFLT | data
| ) |  |

Definition at line 114 of file plgridd.c.

static void dist1 | ( | PLFLT | gx,
|  | PLFLT | gy,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | int | npts,
|  | int | knn_order
| ) |  |
| static

Definition at line 726 of file plgridd.c.

static void dist2 | ( | PLFLT | gx,
|  | PLFLT | gy,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | int | npts
| ) |  |
| static

Definition at line 776 of file plgridd.c.

static void grid_nnaidw | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | int | npts,
|  | const PLFLT * | xg,
|  | int | nptsx,
|  | const PLFLT * | yg,
|  | int | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp
| ) |  |
| static

Definition at line 530 of file plgridd.c.

static void grid_nnidw | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | int | npts,
|  | const PLFLT * | xg,
|  | int | nptsx,
|  | const PLFLT * | yg,
|  | int | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp,
|  | int | knn_order
| ) |  |
| static

Definition at line 288 of file plgridd.c.

static void grid_nnli | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | int | npts,
|  | const PLFLT * | xg,
|  | int | nptsx,
|  | const PLFLT * | yg,
|  | int | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp,
|  | PLFLT | threshold
| ) |  |
| static

Definition at line 351 of file plgridd.c.

void plfgriddata | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | PLINT | npts,
|  | const PLFLT * | xg,
|  | PLINT | nptsx,
|  | const PLFLT * | yg,
|  | PLINT | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp,
|  | PLINT | type,
|  | PLFLT | data
| ) |  |

Definition at line 122 of file plgridd.c.

## Variable Documentation

PT items[KNN_MAX_ORDER]
| static

Definition at line 86 of file plgridd.c.